| TagLib 1.13 |  |

Public Member Functions | Public Attributes | List of all members
TagLib::ID3v2::RelativeVolumeFrame::PeakVolume Struct Reference

Struct that stores the relevant values for ID3v2 peak volume. More...

`#include <relativevolumeframe.h>`

Collaboration diagram for TagLib::ID3v2::RelativeVolumeFrame::PeakVolume:
[legend]

## Public Member Functions
| PeakVolume ()

## Public Attributes
unsigned char | bitsRepresentingPeak
ByteVector | peakVolume

## Detailed Description

Struct that stores the relevant values for ID3v2 peak volume.

The peak volume is described as a series of bits that is padded to fill a block of bytes. These two values should always be updated in tandem.

## Constructor & Destructor Documentation

## ◆ PeakVolume()

TagLib::ID3v2::RelativeVolumeFrame::PeakVolume::PeakVolume | ( |  | ) |
| inline

Constructs an empty peak volume description.

## Member Data Documentation

## ◆ bitsRepresentingPeak

unsigned char TagLib::ID3v2::RelativeVolumeFrame::PeakVolume::bitsRepresentingPeak

The number of bits (in the range of 0 to 255) used to describe the peak volume.

## ◆ peakVolume

ByteVector TagLib::ID3v2::RelativeVolumeFrame::PeakVolume::peakVolume

The array of bits (represented as a series of bytes) used to describe the peak volume.

The documentation for this struct was generated from the following file:

- relativevolumeframe.h